import { Placement } from '@floating-ui/vue';
import { VNode } from 'vue';
type __VLS_Props = {
    show?: boolean;
    trigger: 'manual' | 'click' | 'hover';
    customStyles?: {
        [key: string]: string | number;
    };
    customClasses?: string[];
    darkenBackground?: boolean;
    allowedPlacements?: Placement[];
    arrow?: boolean;
    leaveLazyness?: number;
    overflowVisible?: boolean;
};
type __VLS_Slots = {
    trigger: () => VNode[];
    content: () => VNode[];
};
declare const __VLS_component: import("vue").DefineComponent<__VLS_Props, {
    close(): void;
    show(): void;
    destroy(): void;
}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
    "update:show": (args_0: boolean) => any;
}, string, import("vue").PublicProps, Readonly<__VLS_Props> & Readonly<{
    "onUpdate:show"?: ((args_0: boolean) => any) | undefined;
}>, {
    darkenBackground: boolean;
    allowedPlacements: Placement[];
    arrow: boolean;
    overflowVisible: boolean;
    leaveLazyness: number;
}, {}, {}, {}, string, import("vue").ComponentProvideOptions, false, {}, any>;
declare const _default: __VLS_WithSlots<typeof __VLS_component, __VLS_Slots>;
export default _default;
type __VLS_WithSlots<T, S> = T & {
    new (): {
        $slots: S;
    };
};
